/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */


#define ALARM_ON  0x80
#define ALARM_OFF 0x00


VOID GetDS1678Time(LPSYSTEMTIME lpSystemTime);
VOID Init_DS1678_Port(int port);
VOID SetCurrentDS1678Time();

VOID GetDS1678AlarmTime(LPSYSTEMTIME lpSystemTime,
						unsigned char *MS,
						unsigned char *MM,
						unsigned char *MH,
						unsigned char *MD
						);


VOID SetDS1678AlarmTime(SYSTEMTIME SystemTime,
						unsigned char MS,
						unsigned char MM,
						unsigned char MH,
						unsigned char MD
						);

VOID GetDS1678StampTime(LPSYSTEMTIME lpSystemTime);


VOID DS1678WriteByte(   unsigned char Addr,
						unsigned char Data
						);

unsigned char DS1678ReadByte(unsigned char Addr);


VOID DS1678ClearMemory( void );


void DS1678ReadLogMemory(unsigned char *array);