/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */
#if !defined(AFX_PAGEONEDIALOG_H__473BDB04_B52B_11D3_9C20_00E09803BB79__INCLUDED_)
#define AFX_PAGEONEDIALOG_H__473BDB04_B52B_11D3_9C20_00E09803BB79__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PageOneDialog.h : header file
//
#include "GCClock.h"
#include "CalenderCtrl.h"
#include "Led.h"
/////////////////////////////////////////////////////////////////////////////
// CPageOneDialog dialog

class CPageOneDialog : public TStackedPage
{
// Construction
public:
	CPageOneDialog(CWnd* pParent = NULL);   // standard constructor
	SYSTEMTIME m_AlarmDateTime;	// Current Alarm time.
	void Refresh();

// Dialog Data
	//{{AFX_DATA(CPageOneDialog)
	enum { IDD = IDD_PAGE1 };
	CDateTimeCtrl	m_Alarm_Time;
	CButton	m_CheckOsc;
	CButton	m_CheckAlarmSound;
	CButton	m_CheckAlarmClear;
	CButton	m_Check12_24;
	CComboBox	m_ComboDays;
	CGCClock	m_AlarmClock;
	CComboBox	m_ComboAlarm;
	CLed	    m_LedAlarm;
	CGCClock	m_Clock;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPageOneDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
  CCalenderCtrl m_CalenderCtrl;

  BOOL b_CheckAlarmClear;
  BOOL b_CheckAlarmSound;

  BOOL b_EditingDays;
  BOOL b_EditingMask;


BOOL b_PageActive;
void OnKillActive(void);
void OnSetActive(void);


	// Generated message map functions
	//{{AFX_MSG(CPageOneDialog)
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnSetcurrent();
	virtual BOOL OnInitDialog();
	afx_msg void OnCancelMode();
	afx_msg void OnSelchangeComboalarm();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnCheckosc();
	afx_msg void OnCheckalarmclear();
	afx_msg void OnCheckalarmsound();
	afx_msg void OnSelchangeCombodays();
	afx_msg void OnDropdownCombodays();
	afx_msg void OnCloseupCombodays();
	afx_msg void OnDropdownComboalarm();
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnSetdatetime();
	afx_msg void OnSetAlarmTime();
	afx_msg void OnSetAlarm();
	afx_msg void OnCheckInt();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGEONEDIALOG_H__473BDB04_B52B_11D3_9C20_00E09803BB79__INCLUDED_)
