// PrinterJob.h: interface for the CPrinterJob class.
//
//////////////////////////////////////////////////////////////////////
/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */

#if !defined(AFX_PRINTERJOB_H__7EADD893_6F4C_11D1_A6CD_0000B43382FE__INCLUDED_)
#define AFX_PRINTERJOB_H__7EADD893_6F4C_11D1_A6CD_0000B43382FE__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CPrinterJob : public CWnd 
{
public:
	virtual void OnPrepareDC(CDC * pDC, CPrintInfo * pInfo);
	CWnd * pParent;
	CString strTitle;
	bool bAlreadyAskedPageOpt;

	bool DoPreparePrinting(CPrintInfo* pInfo);
	virtual void OnFilePrint();
	virtual void OnFilePrint2();
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual bool OnPreparePrinting(CPrintInfo* pInfo, bool bPrintPreview = false);
	CPrinterJob();
	virtual ~CPrinterJob();

};

#endif // !defined(AFX_PRINTERJOB_H__7EADD893_6F4C_11D1_A6CD_0000B43382FE__INCLUDED_)
