// SampleDlg.h : header file
//
/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */

#if !defined(AFX_SAMPLEDLG_H__2B159559_B4C6_11D3_9C1F_00E09803BB79__INCLUDED_)
#define AFX_SAMPLEDLG_H__2B159559_B4C6_11D3_9C1F_00E09803BB79__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Sxbutton - updated.h"

/////////////////////////////////////////////////////////////////////////////
// CSampleDlg dialog

class CSampleDlg : public TStackedDialog
{
private:
  BOOL m_bTimerActive;

// Construction
public:
	CSampleDlg(CWnd* pParent = NULL);	// standard constructor
	// In Dialog Class Header File
	CIconButton	m_page1; 
	CIconButton	m_page2; 
	CIconButton	m_page3; 
	CIconButton	m_page4; 
	CIconButton	m_page5; 
	CIconButton	m_page6; 
	CIconButton	m_page7; 
	CIconButton	m_page8; 
	CIconButton	m_page10; 
	CIconButton	m_About; 
	void Finish_Init_Procedure();
	virtual TStackedPage *CreatePage(UINT nId);
	virtual void OnPageChanged(UINT nId, BOOL bActivated);
	void Refresh();

// Dialog Data
	//{{AFX_DATA(CSampleDlg)
	enum { IDD = IDD_SAMPLE_DIALOG };
	CComboBox	m_Combo;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeCombo();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnScan();
	afx_msg void OnButtonPage1();
	afx_msg void OnButtonPage2();
	afx_msg void OnButtonPage3();
	afx_msg void OnButtonPage4();
	afx_msg void OnButtonPage5();
	afx_msg void OnButtonPage6();
	afx_msg void OnButtonPage7();
	afx_msg void OnButtonPage8();
	afx_msg void OnAbout();
	afx_msg void OnButtonPage10();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SAMPLEDLG_H__2B159559_B4C6_11D3_9C1F_00E09803BB79__INCLUDED_)
