// SetAlarmDlg.cpp : implementation file
//
/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */
#include "stdafx.h"
#include "sample.h"
#include "SetAlarmDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetAlarmDlg dialog


CSetAlarmDlg::CSetAlarmDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetAlarmDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetAlarmDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CSetAlarmDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetAlarmDlg)
	DDX_Control(pDX, IDC_COMBODAYS, m_ComboDays);
	DDX_Control(pDX, IDC_COMBOALARM, m_ComboAlarm);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSetAlarmDlg, CDialog)
	//{{AFX_MSG_MAP(CSetAlarmDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetAlarmDlg message handlers
BOOL CSetAlarmDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_ComboAlarm.AddString("Alarm Once Per Second");
	m_ComboAlarm.AddString("Alarm When Minutes Match");
	m_ComboAlarm.AddString("Alarm When Min,Sec Match");
	m_ComboAlarm.AddString("Alarm When Hrs,Min,Sec Match");
	m_ComboAlarm.AddString("Alarm When Days,Hrs,Min,Sec Match");

	m_ComboDays.AddString("Sun");
	m_ComboDays.AddString("Mon");
	m_ComboDays.AddString("Tue");
	m_ComboDays.AddString("Wed");
	m_ComboDays.AddString("Thr");
	m_ComboDays.AddString("Fri");
	m_ComboDays.AddString("Sat");
	
	timestruct.wHour			= 12;
	timestruct.wMinute			= 0;
	timestruct.wSecond			= 0;
	timestruct.wMilliseconds	= 0;
	CDateTimeCtrl* ctrl;
	ctrl = (CDateTimeCtrl*)GetDlgItem(IDC_TIME);
	ctrl->SetTime(&timestruct);

	CComboBox* combo;
	combo = (CComboBox*)GetDlgItem(IDC_COMBODAYS);
	days_selection = combo->SetCurSel(0);
	combo = (CComboBox*)GetDlgItem(IDC_COMBOALARM);
	mask_selection = combo->SetCurSel(0);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSetAlarmDlg::OnOK() 
{
	// TODO: Add extra validation here
	CDateTimeCtrl* ctrl;
	ctrl = (CDateTimeCtrl*)GetDlgItem(IDC_TIME);
	ctrl->GetTime(&timestruct);

	CComboBox* combo;
	combo = (CComboBox*)GetDlgItem(IDC_COMBODAYS);
	days_selection = combo->GetCurSel();
	combo = (CComboBox*)GetDlgItem(IDC_COMBOALARM);
	mask_selection = combo->GetCurSel();

	CDialog::OnOK();
}

void CSetAlarmDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	CDialog::OnCancel();
}

