// TextPrint.h : header file
//
/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */

#ifndef __CTextPrint_H__
#define __CTextPrint_H__

#include "PrinterJob.h"

struct s_printstrings2 {
  CString *cstr;
  s_printstrings2 *next;
};


/////////////////////////////////////////////////////////////////////////////
// CTextPrint window

class CTextPrint : public CPrinterJob
{
// Construction
public:
  CTextPrint();

void PrintGraph();

// override functions
void OnPrint(CDC* pDC, CPrintInfo* pInfo);
void OnPrepareDC(CDC * pDC, CPrintInfo * pInfo);

  CString TitleStr;

  s_printstrings2 *lPrintStrings,*lhead;


  // Operations
public:
  virtual ~CTextPrint();

};

/////////////////////////////////////////////////////////////////////////////
#endif
