/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */

#include "StdAfx.h"

#ifndef CDEBUG
	#include "CDebug.h"
#endif

#ifdef _DEBUG
	#define new DEBUG_NEW
	#undef THIS_FILE
	static char THIS_FILE[] = __FILE__;
#endif

CDebug::CDebug()
{  
	strcpy(szBuffer,"");
	cpData.dwData = 0;
	cpData.cbData = 1;
	cpData.lpData = "\0";
	hWnd = NULL;
} 

CDebug::~CDebug()
{ 
}

bool debugapp_found = true;

BOOL CDebug::GetDebugWindowHandle()
{
if (debugapp_found == false) return FALSE;
hWnd = ::FindWindow(NULL, "Debug messages");
if(!hWnd) {
debugapp_found = false;
return FALSE;
}
else {
return TRUE;
}
}



BOOL CDebug::SendData()
{
	cpData.dwData = (DWORD) nLevel;
	cpData.cbData = strlen(szBuffer) + 1;
	cpData.lpData = szBuffer;

	//send the structure to Debug via the system
	LRESULT lResult = ::SendMessage(hWnd, WM_COPYDATA, (UINT) NULL, (long) &cpData);

	if((BOOL) lResult == TRUE)
	{
		return TRUE;
	}
	else
	{
		return FALSE;
	}
}

/*BOOL CDebug::Printf0(CString szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	char szTmp[_MAX_PATH];
	strcpy(szTmp, szFormat.GetBuffer(szFormat.GetLength()));
	va_start(valist, szTmp);

	int nResult = wvsprintf(szBuffer,
													szFormat.GetBuffer(szFormat.GetLength() + 1),
													valist);
	
	va_end(valist);

	szFormat.ReleaseBuffer();

	nLevel = 0;

	return SendData();
}*/

BOOL CDebug::Printf0(LPTSTR szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	va_start(valist, szFormat);

	int nResult = wvsprintf(szBuffer,
													szFormat,
													valist);
	va_end(valist);

	nLevel = 0;

	return SendData();
}

BOOL CDebug::Printf0(LPCTSTR szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	va_start(valist, szFormat);

	int nResult = wvsprintf(szBuffer,
													szFormat,
													valist);

	va_end(valist);

	nLevel = 0;

	return SendData();
}

/*BOOL CDebug::Printf1(CString szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	char szTmp[_MAX_PATH];
	strcpy(szTmp, szFormat.GetBuffer(szFormat.GetLength()));
	va_start(valist, szTmp);

	int nResult = wvsprintf(szBuffer,
													szFormat.GetBuffer(szFormat.GetLength() + 1),
													valist);
	
	va_end(valist);

	szFormat.ReleaseBuffer();

	nLevel = 1;

	return SendData();
}*/

BOOL CDebug::Printf1(LPTSTR szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	va_start(valist, szFormat);

	int nResult = wvsprintf(szBuffer,
													szFormat,
													valist);

	va_end(valist);

	nLevel = 1;

	return SendData();
}

BOOL CDebug::Printf1(LPCTSTR szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	va_start(valist, szFormat);

	int nResult = wvsprintf(szBuffer,
													szFormat,
													valist);

	va_end(valist);

	nLevel = 1;

	return SendData();
}

/*BOOL CDebug::Printf2(CString szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	char szTmp[_MAX_PATH];
	strcpy(szTmp, szFormat.GetBuffer(szFormat.GetLength()));
	va_start(valist, szTmp);

	int nResult = wvsprintf(szBuffer,
													szFormat.GetBuffer(szFormat.GetLength() + 1),
													valist);
	
	va_end(valist);
	szFormat.ReleaseBuffer();

	nLevel = 2;

	return SendData();
}*/

BOOL CDebug::Printf2(LPTSTR szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	va_start(valist, szFormat);

	int nResult = wvsprintf(szBuffer,
													szFormat,
													valist);

	va_end(valist);

	nLevel = 2;

	return SendData();
}

BOOL CDebug::Printf2(LPCTSTR szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	va_start(valist, szFormat);

	int nResult = wvsprintf(szBuffer,
													szFormat,
													valist);

	va_end(valist);

	nLevel = 2;

	return SendData();
}

/*BOOL CDebug::Printf3(CString szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	char szTmp[_MAX_PATH];
	strcpy(szTmp, szFormat.GetBuffer(szFormat.GetLength()));
	va_start(valist, szTmp);

	int nResult = wvsprintf(szBuffer,
													szFormat.GetBuffer(szFormat.GetLength() + 1),
													valist);
	
	va_end(valist);

	szFormat.ReleaseBuffer();

	nLevel = 3;

	return SendData();
}*/

BOOL CDebug::Printf3(LPTSTR szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	va_start(valist, szFormat);

	int nResult = wvsprintf(szBuffer,
													szFormat,
													valist);

	va_end(valist);

	nLevel = 3;

	return SendData();
}

BOOL CDebug::Printf3(LPCTSTR szFormat, ...)
{
	if(GetDebugWindowHandle() == FALSE) return FALSE;

	va_list valist;
	va_start(valist, szFormat);

	int nResult = wvsprintf(szBuffer,
													szFormat,
													valist);

	va_end(valist);

	nLevel = 3;

	return SendData();
}
