/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */

class CDebug
{
private:
	//internal data variables
	char		szBuffer[_MAX_PATH];
	COPYDATASTRUCT	cpData;
	HWND		hWnd;
	int		nLevel;

	//internal class members
	BOOL SendData();
	BOOL GetDebugWindowHandle();

public:
	//public class members
	CDebug();	
	~CDebug();

	//show level 0 debug messages
	BOOL Printf0(CString szFormat, ...);
	BOOL Printf0(LPTSTR szFormat, ...);
	BOOL Printf0(LPCTSTR szFormat, ...);

	//show level 1 debug messages
	BOOL Printf1(CString szFormat, ...);
	BOOL Printf1(LPTSTR szFormat, ...);
	BOOL Printf1(LPCTSTR szFormat, ...);

	//show level 2 debug messages
	BOOL Printf2(CString szFormat, ...);
	BOOL Printf2(LPTSTR szFormat, ...);
	BOOL Printf2(LPCTSTR szFormat, ...);

	//show level 3 debug messages
	BOOL Printf3(CString szFormat, ...);
	BOOL Printf3(LPTSTR szFormat, ...);
	BOOL Printf3(LPCTSTR szFormat, ...);
};

#define CDEBUG
