/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */

#include <windows.h>
#include "stdafx.h"

void Cmd_Insert(int cmd,void *parameter1,void *parameter2,void *parameter3,int *page_processed,int *status);
int Cmd_Process();


#define CMD_BEGIN_MISSION_SOFTWARE		1
#define CMD_BEGIN_MISSION_EVENT			2
#define CMD_END_MISSION					3
#define	CMD_CLEAR_MEMORY				4
#define	CMD_CLEAR_STENABLE				5
#define	CMD_SAMPLE_RATE					6
#define	CMD_SAMPLE_DELAY				7
#define	CMD_READ_PAGE					8
#define	CMD_CONTROL_REGISTER			9
#define	CMD_STATUS_REGISTER				10
#define	CMD_WRITE_RTC					11
#define	CMD_WRITE_REGISTER				12
#define	CMD_READ_TEMPERATURE			13

#define MAX_CMDS 200

#define STATE_PREPROCESSING	1
#define STATE_QUEUED		2
#define STATE_PROCESSING	3
#define STATE_DONE			4

#define TIMEOUT_PERIOD  800		// 400 mS
#define	MAX_RETRIES  3			// 5 times

#define STATUS_DONE     1
#define STATUS_QUEUED   2
#define STATUS_IDLE		3
#define STATUS_ERROR   -1

#define CMD_SUSPEND  -1
#define CMD_SHUTDOWN -2