// DateTimeCls.cpp : implementation file
//
/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */

#include "stdafx.h"
#include "sample.h"
#include "DateTimeCls.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDateTimeCls dialog


CDateTimeCls::CDateTimeCls(CWnd* pParent /*=NULL*/)
	: CDialog(CDateTimeCls::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDateTimeCls)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CDateTimeCls::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDateTimeCls)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDateTimeCls, CDialog)
	//{{AFX_MSG_MAP(CDateTimeCls)
	ON_BN_CLICKED(IDC_SYSTEMTIME, OnSystemtime)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDateTimeCls message handlers

void CDateTimeCls::OnSystemtime() 
{
	// TODO: Add your control notification handler code here
	GetLocalTime(&timestruct);	
	CDateTimeCtrl* ctrl = (CDateTimeCtrl*)GetDlgItem(IDC_DATE);
	ctrl->SetTime(&timestruct);
	ctrl = (CDateTimeCtrl*)GetDlgItem(IDC_TIME);
	ctrl->SetTime(&timestruct);
}

void CDateTimeCls::OnOK() 
{
	// TODO: Add extra validation here
	SYSTEMTIME time;
	SYSTEMTIME date;
	CDateTimeCtrl* ctrl = (CDateTimeCtrl*)GetDlgItem(IDC_DATE);
	ctrl->GetTime(&date);
	ctrl = (CDateTimeCtrl*)GetDlgItem(IDC_TIME);
	ctrl->GetTime(&time);

	timestruct.wYear		= date.wYear;
	timestruct.wMonth		= date.wMonth;
	timestruct.wDay			= date.wDay;
	timestruct.wDayOfWeek	= date.wDayOfWeek;

	timestruct.wHour			= time.wHour;
	timestruct.wMinute			= time.wMinute;
	timestruct.wSecond			= time.wSecond;
	timestruct.wMilliseconds	= time.wMilliseconds;

	CDialog::OnOK();
}

void CDateTimeCls::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	CDialog::OnCancel();
}

BOOL CDateTimeCls::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here

	CDateTimeCtrl* ctrl = (CDateTimeCtrl*)GetDlgItem(IDC_DATE);
	ctrl->SetTime(&timestruct);
	ctrl = (CDateTimeCtrl*)GetDlgItem(IDC_TIME);
	ctrl->SetTime(&timestruct);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}







