// ExpandDlgDlg.cpp : implementation file
//
/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */

#include "stdafx.h"
#include "sample.h"
#include "ExpandDlgDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About
/*
class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
*/
/////////////////////////////////////////////////////////////////////////////
// CExpandDlgDlg dialog

CExpandDlgDlg::CExpandDlgDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CExpandDlgDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CExpandDlgDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_nNormalWidth = 0; 
	m_nExpandedWidth = 0; 
	m_nExpandedHeight = 0; 
	m_bExpanded = FALSE;
	m_bExpandedDown = FALSE;

}

void CExpandDlgDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CExpandDlgDlg)
	DDX_Control(pDX, IDC_STATIC_DEVIDE, m_Devide);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CExpandDlgDlg, CDialog)
	//{{AFX_MSG_MAP(CExpandDlgDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_RADIO_DEVICE, OnRadioDevice)
	ON_BN_CLICKED(IDC_RADIO_MEMORY, OnRadioMemory)
	ON_BN_CLICKED(IDC_COM1, OnCom1)
	ON_BN_CLICKED(IDC_COM2, OnCom2)
	ON_BN_CLICKED(IDC_PREVIOUS, OnPrevious)
	ON_BN_CLICKED(IDC_DS1615IMAGE, OnDs1615image)
	ON_BN_CLICKED(IDC_DS1616IMAGE, OnDs1616image)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExpandDlgDlg message handlers

BOOL CExpandDlgDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
//	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
//	ASSERT(IDM_ABOUTBOX < 0xF000);
/*
	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}
*/
	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	CRect rcDlg,rcMarker;
	// get the rect for the frame border that represents un-expanded
	GetWindowRect(rcDlg);				// get the expanded rect
	m_Devide.GetWindowRect(rcMarker); 
	m_nNormalHeight = (rcMarker.bottom - rcDlg.top);
	m_nNormalWidth  = (rcMarker.right - rcDlg.left);
	m_nExpandedWidth  = rcDlg.Width();	// this dialog will start expanded
										// so get the original width
	m_nExpandedHeight = rcDlg.Height();	// this dialog will start expanded
										// so get the original height
	ExpandyaContract();
	ExpandyaContractDown();

	if (m_PreviousPort) {
		m_sPortUsed.Format("COM%d Previously Used",m_PreviousPort);
	} else {
		m_sPortUsed = "No Previous Port Used";
		GetDlgItem(IDC_PREVIOUS)->EnableWindow(FALSE);
	}
	GetDlgItem(IDC_STATIC_LAST_PORT)->SetWindowText(m_sPortUsed);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CExpandDlgDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
/*	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{*/
		CDialog::OnSysCommand(nID, lParam);
//	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.
	
void CExpandDlgDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CExpandDlgDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}




void  CExpandDlgDlg::ExpandyaContract()
{
	CRect rcDlg, rcMarker;
	GetWindowRect(rcDlg); 
	
	if (!m_bExpanded)
	{
		rcDlg.SetRect(rcDlg.left, rcDlg.top, rcDlg.left + m_nNormalWidth + 12,
			rcDlg.top + +m_nNormalHeight + 12 ); 
		HWND hWndChild = ::GetDlgItem(m_hWnd, IDC_STATIC_DEVIDE);

		while (hWndChild != NULL)
		{  
			hWndChild = ::GetNextWindow(hWndChild, GW_HWNDNEXT);
			::EnableWindow(hWndChild, m_bExpanded);
		}

	}
	
	else 
	{
		rcDlg.SetRect( rcDlg.left, rcDlg.top,    rcDlg.left + + m_nExpandedWidth,
			rcDlg.top + +m_nNormalHeight + 12 ); 
		HWND hWndChild = ::GetDlgItem(m_hWnd, IDC_STATIC_DEVIDE);
		
		while (hWndChild != NULL)
		{  
			hWndChild = ::GetNextWindow(hWndChild, GW_HWNDNEXT);
			::EnableWindow(hWndChild, m_bExpanded);
		}
		if (!m_PreviousPort) {
			GetDlgItem(IDC_PREVIOUS)->EnableWindow(FALSE);
		}
		
	} 
	
	MoveWindow(rcDlg, TRUE);
	
	m_bExpanded = !m_bExpanded; 
	
	

}

void  CExpandDlgDlg::ExpandyaContractDown()
{
	CRect rcDlg, rcMarker;
	GetWindowRect(rcDlg); 
	
	if (!m_bExpandedDown)
	{
		rcDlg.SetRect(rcDlg.left, rcDlg.top,    rcDlg.left + m_nNormalWidth+12,
			rcDlg.top + +m_nNormalHeight + 12 ); 
		HWND hWndChild = ::GetDlgItem(m_hWnd, IDC_STATIC_DEVIDE);

		while (hWndChild != NULL)
		{  
			hWndChild = ::GetNextWindow(hWndChild, GW_HWNDNEXT);
			::EnableWindow(hWndChild, m_bExpandedDown);
		}

	}
	
	else 
	{
		rcDlg.SetRect( rcDlg.left, rcDlg.top,    rcDlg.left + + m_nNormalWidth+12,
			rcDlg.top + +m_nExpandedHeight); 
		HWND hWndChild = ::GetDlgItem(m_hWnd, IDC_STATIC_DEVIDE);
		
		while (hWndChild != NULL)
		{  
			hWndChild = ::GetNextWindow(hWndChild, GW_HWNDNEXT);
			::EnableWindow(hWndChild, m_bExpandedDown);
		}
		
	} 
	
	MoveWindow(rcDlg, TRUE);
	
	m_bExpandedDown = !m_bExpandedDown; 
	
	

}



void CExpandDlgDlg::OnRadioDevice() 
{
	// Close the down expansion if any
	m_bExpandedDown = FALSE;
	ExpandyaContractDown();
	// expand across
	m_bExpanded = TRUE;
	ExpandyaContract();
}

void CExpandDlgDlg::OnRadioMemory() 
{
	// Close the across expansion if any
	m_bExpanded = FALSE;
	ExpandyaContract();
	// expand across
	m_bExpandedDown = TRUE;
	ExpandyaContractDown();
}



//	CDialog::OnOK();
//	CDialog::OnCancel();

void CExpandDlgDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	m_Selected = EXIT;
	CDialog::OnCancel();
}

void CExpandDlgDlg::OnCom1() 
{
	// TODO: Add your control notification handler code here
	m_Selected = COM1;
	CDialog::OnOK();
}

void CExpandDlgDlg::OnCom2() 
{
	// TODO: Add your control notification handler code here
	m_Selected = COM2;
	CDialog::OnOK();
}

void CExpandDlgDlg::OnPrevious() 
{
	// TODO: Add your control notification handler code here
	switch (m_PreviousPort) {
		case 0: 
			return;
			break;
		case 1: 
			m_Selected = COM1;
			break;
		case 2: 
			m_Selected = COM2;
			break;
	}
	CDialog::OnOK();
}

void CExpandDlgDlg::OnDs1615image() 
{
	// TODO: Add your control notification handler code here
	m_Selected = DS1615IMAGE;
	CDialog::OnOK();
}

void CExpandDlgDlg::OnDs1616image() 
{
	// TODO: Add your control notification handler code here
	m_Selected = DS1616IMAGE;
	CDialog::OnOK();
}



