// ExpandDlgDlg.h : header file
//
/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */

#if !defined(AFX_EXPANDDLGDLG_H__03337807_E8AC_11D3_8E0B_8DEC6990ED5F__INCLUDED_)
#define AFX_EXPANDDLGDLG_H__03337807_E8AC_11D3_8E0B_8DEC6990ED5F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CExpandDlgDlg dialog
enum SelectEnum {
	COM1,
	COM2,
	PREVIOUSPORT,
	DS1615IMAGE,
	DS1616IMAGE,
	EXIT
};

class CExpandDlgDlg : public CDialog
{
public:

	SelectEnum	m_Selected;
	int	m_PreviousPort;			// value is 0, 1 or 2
	SelectEnum ReturnSelected() { return m_Selected; }
	void SetPreviousPort(int p) { m_PreviousPort = p; }
	CString m_sPortUsed;

// Construction
public:
	CExpandDlgDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CExpandDlgDlg)
	enum { IDD = IDD_EXPANDDLG_DIALOG };
	CButton	m_Devide;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExpandDlgDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
	BOOL m_bExpanded;
	BOOL m_bExpandedDown;

	int m_nNormalWidth;
	int m_nNormalHeight;

	int m_nExpandedWidth;
	int m_nExpandedHeight;
	
// Implementation
protected:
	HICON m_hIcon;
	void ExpandyaContract();
	void ExpandyaContractDown();
	// Generated message map functions
	//{{AFX_MSG(CExpandDlgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRadioDevice();
	afx_msg void OnRadioMemory();
	virtual void OnCancel();
	afx_msg void OnCom1();
	afx_msg void OnCom2();
	afx_msg void OnPrevious();
	afx_msg void OnDs1615image();
	afx_msg void OnDs1616image();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXPANDDLGDLG_H__03337807_E8AC_11D3_8E0B_8DEC6990ED5F__INCLUDED_)
