// OutputWindow.h: interface for the COutputWindow class.
/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */

#if !defined(AFX_OUTPUTWINDOW_H__F5FE3EE2_D069_11D3_8F4F_00600863146C__INCLUDED_)
#define AFX_OUTPUTWINDOW_H__F5FE3EE2_D069_11D3_8F4F_00600863146C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stdafx.h"
#include <Windows.h>
#include <Windowsx.h>
#include <mmsystem.h>
#include "resource.h"


// Window class
#define OUTPUT_WINDOW_CLASS "OutputWindow"

// Window title
#define WINDOW_TITLE "Debug"

// Text box ID
#define IDC_OUTPUT_TEXT 100

class COutputWindow  
{
public:
	void Clear();
	bool ShowOutputWindow(bool bVisible);
	static bool PrintLine(char szLine[]);
	bool CreateOutputWindow(HINSTANCE hInst, HWND hWndParent, LPRECT prcWindowPosition);
	bool IsOutputWindowVisible();
	static HWND GetEditControl() { return m_hWndEdit; };
	static HWND GetOutputWindow() { return m_hWnd; };
	COutputWindow();
	virtual ~COutputWindow();
private:
	static HWND m_hWnd;
	static HWND m_hWndEdit;
	static unsigned int m_iInstCount;
};

// Static window procedure
static LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);

#endif // !defined(AFX_OUTPUTWINDOW_H__F5FE3EE2_D069_11D3_8F4F_00600863146C__INCLUDED_)
