/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */
#if !defined(AFX_PAGESIX1DIALOG_H__9D3693E0_3188_11D4_8B6B_00609772CE13__INCLUDED_)
#define AFX_PAGESIX1DIALOG_H__9D3693E0_3188_11D4_8B6B_00609772CE13__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PageSix1Dialog.h : header file
//
#include "Led.h"

/////////////////////////////////////////////////////////////////////////////
// CPageSix1Dialog dialog

class CPageSix1Dialog : public TStackedPage
{
// Construction
public:
	CPageSix1Dialog(CWnd* pParent = NULL);   // standard constructor
	void Refresh();
	void OnInit();
	void DrawTemp(CDC* pDC, CRect& rBoundingRect,float temp_f,float temp_c);

// Dialog Data
	//{{AFX_DATA(CPageSix1Dialog)
	enum { IDD = IDD_PAGE6 };
	CEdit	m_Edit_Hi;
	CEdit	m_Edit_Lo;
	CLed	m_Led_Lo_Alarm;
	CLed	m_Led_Hi_Alarm;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPageSix1Dialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPageSix1Dialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSetlo();
	afx_msg void OnSethi();
	afx_msg void OnClrlo();
	afx_msg void OnClrhi();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGESIX1DIALOG_H__9D3693E0_3188_11D4_8B6B_00609772CE13__INCLUDED_)
