/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */
#if !defined(AFX_PageTenDialog_H__473BDB04_B52B_11D3_9C20_00E09803BB79__INCLUDED_)
#define AFX_PageTenDialog_H__473BDB04_B52B_11D3_9C20_00E09803BB79__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PageTenDialog.h : header file
//
#include "Led.h"
#include "Voltage_Dlg.h"
/////////////////////////////////////////////////////////////////////////////
// CPageTenDialog dialog

class CPageTenDialog : public TStackedPage
{
// Construction
public:
	CPageTenDialog(CWnd* pParent = NULL);   // standard constructor
	SYSTEMTIME m_AlarmDateTime;	// Current Alarm time.
	void Refresh();
	void DrawVoltage(CDC* pDC, CRect& rBoundingRect,float voltage);

// Dialog Data
	//{{AFX_DATA(CPageTenDialog)
	enum { IDD = IDD_PAGE10 };
	CLed	m_Led_Alarm1;
	CLed	m_Led_Alarm2;
	CLed	m_Led_Alarm3;
	CLed	m_Led_Alarm4;
	CLed	m_Led_Alarm5;
	CLed	m_Led_Alarm6;
	//}}AFX_DATA

/*Led	m_Led_Hi_Alarm;
	CLed	m_Led_Lo_Alarm;*/

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPageTenDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

BOOL b_PageActive;
void OnKillActive(void);
void OnSetActive(void);


	// Generated message map functions
	//{{AFX_MSG(CPageTenDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnEditVoltage();
	afx_msg void OnClralarms();
	afx_msg void OnButton1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PageTenDialog_H__473BDB04_B52B_11D3_9C20_00E09803BB79__INCLUDED_)
