// PrintDlg.cpp : implementation file
//
/*
  This Evaluation kit software is available free of charge and can be used,
  edited, or reproduced as you see fit. Dallas Semiconductor does not
  assume any liability for the accuracy or correctness of this code.

  It is free to use at your own risk.
  */

#include "stdafx.h"
#include "sample.h"
#include "PrintDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern bool alarm_log;
extern bool histo;
/////////////////////////////////////////////////////////////////////////////
// CPrintDlg dialog


CPrintDlg::CPrintDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPrintDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPrintDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CPrintDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPrintDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPrintDlg, CDialog)
	//{{AFX_MSG_MAP(CPrintDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPrintDlg message handlers
BOOL CPrintDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	CWnd *pWnd;
	CButton* check;
	check = (CButton*)GetDlgItem(IDC_CHECK_SN);
	check->SetCheck(1);
	check = (CButton*)GetDlgItem(IDC_CHECK_STAMP);
	check->SetCheck(1);
	check = (CButton*)GetDlgItem(IDC_CHECK_TIME);
	check->SetCheck(1);
	check = (CButton*)GetDlgItem(IDC_CHECK_SAMPLENUM);
	check->SetCheck(1);
	check = (CButton*)GetDlgItem(IDC_CHECK_TOTALNUM);
	check->SetCheck(1);
	check = (CButton*)GetDlgItem(IDC_CHECK_USERMEMORY);
	check->SetCheck(1);
	check = (CButton*)GetDlgItem(IDC_CHECK_ROLLOVER);
	check->SetCheck(1);
	check = (CButton*)GetDlgItem(IDC_CHECK_ALARMINFO);
	check->SetCheck(1);
	check = (CButton*)GetDlgItem(IDC_CHECK_SAMPLERATE);
	check->SetCheck(1);

	if (!alarm_log){
		check = (CButton*)GetDlgItem(IDC_CHECK_PRINTGRAPH);
		check->SetCheck(1);
		check = (CButton*)GetDlgItem(IDC_CHECK_CURSORINFO);
		check->SetCheck(1);
	}

	if (!alarm_log && !histo){
		check = (CButton*)GetDlgItem(IDC_CHECK_HIGHESTLOWEST);
		check->SetCheck(1);
	}

	if (alarm_log){
		pWnd = GetDlgItem(IDC_CHECK_CURSORINFO);  pWnd->EnableWindow(FALSE);
		pWnd = GetDlgItem(IDC_CHECK_HIGHESTLOWEST);  pWnd->EnableWindow(FALSE);
		pWnd = GetDlgItem(IDC_CHECK_PRINTGRAPH);  pWnd->EnableWindow(FALSE);
		pWnd = GetDlgItem(IDC_CHECK_PRINTTABULATED);  pWnd->EnableWindow(FALSE);
	}
	else if (histo){
		pWnd = GetDlgItem(IDC_CHECK_HIGHESTLOWEST);  pWnd->EnableWindow(FALSE);
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CPrintDlg::OnOK() 
{
	// TODO: Add extra validation here

	CButton* check;
	check = (CButton*)GetDlgItem(IDC_CHECK_SN);
	if (check->GetCheck() == 1) b_sn = true; else b_sn = false;
		
	check = (CButton*)GetDlgItem(IDC_CHECK_STAMP);
	if (check->GetCheck() == 1) b_stamp = true; else b_stamp = false;
		
	check = (CButton*)GetDlgItem(IDC_CHECK_TIME);
	if (check->GetCheck() == 1) b_time = true; else b_time = false;
		
	check = (CButton*)GetDlgItem(IDC_CHECK_SAMPLENUM);
	if (check->GetCheck() == 1) b_samplenum = true; else b_samplenum = false;
		
	check = (CButton*)GetDlgItem(IDC_CHECK_TOTALNUM);
	if (check->GetCheck() == 1) b_totalnum = true; else b_totalnum = false;

	check = (CButton*)GetDlgItem(IDC_CHECK_USERMEMORY);
	if (check->GetCheck() == 1) b_usermemory = true; else b_usermemory = false;

	check = (CButton*)GetDlgItem(IDC_CHECK_CURSORINFO);
	if (check->GetCheck() == 1) b_cursorinfo = true; else b_cursorinfo = false;

	check = (CButton*)GetDlgItem(IDC_CHECK_ALARMINFO);
	if (check->GetCheck() == 1) b_alarminfo = true; else b_alarminfo = false;

	check = (CButton*)GetDlgItem(IDC_CHECK_SAMPLERATE);
	if (check->GetCheck() == 1) b_samplerate = true; else b_samplerate = false;

	check = (CButton*)GetDlgItem(IDC_CHECK_HIGHESTLOWEST);
	if (check->GetCheck() == 1) b_highestlowest = true; else b_highestlowest = false;

	check = (CButton*)GetDlgItem(IDC_CHECK_ROLLOVER);
	if (check->GetCheck() == 1) b_rollover = true; else b_rollover = false;

	check = (CButton*)GetDlgItem(IDC_CHECK_PRINTGRAPH);
	if (check->GetCheck() == 1) b_printgraph = true; else b_printgraph = false;

	check = (CButton*)GetDlgItem(IDC_CHECK_PRINTTABULATED);
	if (check->GetCheck() == 1) b_printtabulated = true; else b_printtabulated = false;

	check = (CButton*)GetDlgItem(IDC_EDIT_TITLE);
	check->GetWindowText(title);

	CDialog::OnOK();
}

void CPrintDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	CDialog::OnCancel();
}




